package sql

import (
	"context"
	"golang.source-fellows.com/pattern/adapter/internal/model"
)

type ContractStore struct{}

func NewContractStore() *ContractStore {
	return &ContractStore{}
}

func (c ContractStore) GetAllContracts(ctx context.Context, customer model.Customer) ([]model.Contract, error) {
	return []model.Contract{
		{Name: "DB Contract"},
	}, nil
}
